# -----------------------------------------------------------------------------
# Makefile for TwoStageLinux
#
# This is the top-level configuration file
#
# $Author: Bablokb $
# $Revision: 1.2 $
#
# License: GPL2
# -----------------------------------------------------------------------------

# Packages to include

root-fs_PACKAGES := dirs dev init busybox modules
cd-fs_PACKAGES   := rootgz
realroot-fs_PACKAGES := copyfs

# package configuration -------------------------------------------------------

DOSTATIC := true
# REAL_ROOT_SRC_DIR := /usr/local/suse-minimal/build/files

KERNEL := /usr/local/suse-minimal/build/kernel/boot/vmlinuz

MODULES_SRC_DIR := /usr/local/suse-minimal/build/kernel/lib/modules/2.4.19-4GB/kernel/drivers
MODULES := cdrom/cdrom.o ide/ide-cd.o \
           scsi/aic7xxx/aic7xxx.o scsi/sym53c8xx_2/sym53c8xx.o \
           scsi/sr_mod.o

# Download setup --------------------------------------------------------------

# if SOURCE_CACHE_DIR is not set, the default is DIST_ROOT/src/SOURCES

SOURCE_CACHE_DIR := /data/package-cache

USE_LOCAL_WEB    := false
LOCAL_WEB_PREFIX := http://localhost/sources

# General configuration parameters

TYPE         := el-torito
IMG_SIZE     := 2880
RD_SIZE      := auto
RD_SIZE_INC  := 1024
RD_NODES     := auto
RD_NODES_INC := 256
RD_FS        := ext2
