#!/bin/bash
# -----------------------------------------------------------------------------
# Patch-script for uClibcLinux: package uclibc
#
# This script creates the uClibc configuration file $(PACKAGE_SRC_DIR)/Config.
#
# UCLIBC_DEVEL_PREFIX and UCLIBC_SHARED_LIB_LOADER_PATH are set in the
# calling makefile.
#
# $Author: Bablokb $
# $Revision: 1.1 $
#
# License: GPL2
# -----------------------------------------------------------------------------

currentDir=`dirname $0`
targetDir=$1

sed -e "s:^DEVEL_PREFIX.*\$:DEVEL_PREFIX=${UCLIBC_DEVEL_PREFIX}:g" \
  -e "s:^SHARED_LIB_LOADER_PATH.*\$:SHARED_LIB_LOADER_PATH=${UCLIBC_SHARED_LIB_LOADER_PATH}:g" \
  Config > ${targetDir}/Config

