# -----------------------------------------------------------------------------
# Makefile for BBLinux
#
# This is the top-level configuration file
#
# $Author: Bablokb $
# $Revision: 1.7 $
#
# License: GPL2
# -----------------------------------------------------------------------------

# Packages to include

root-fs_PACKAGES := dirs dev init keymaps busybox-0.60.3
cd-fs_PACKAGES   :=

# Devices from /dev to include

DEV_SET = .

# Busybox Makefile configuration variables

BB_SRC_DIR = /usr/local/src/busybox
DOSTATIC = true
BB_DOLFS = false

# General configuration parameters

TYPE         := syslinux
IMG_SIZE     := 1440
RD_SIZE      := auto
RD_SIZE_INC  := 512
RD_NODES     := auto
RD_NODES_INC := 256
RD_FS        := ext2
